EDIT - feature request #3223

data portal front end for free text search on occurrences
11/29/2012 10:22 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

prerequisite #3222 (implement free text search on occurrences)
requirements copied from #3249 (campanula)
There are two search options

® Basic search
o Free text search throughout all specimen details provided

o Includes all visible columns of the table as well as additional data which would only be visible in detail view

¢ Advanced search

o Clicking on “advanced search” opens up a popup (as in detail view for specimens)

o Provides toggle buttons for available detail categories (visible in table and detail view)

o Searches only in the checked categories
= Multi-select is allowed

Related issues:
Has duplicate EDIT - task #3249: [DISCUSS] Free text search for specimen details

Duplicate

History

#1 - 08/21/2014 11:02 AM - Andreas Kohlbecker

- Keywords set to search

#2 - 08/13/2018 01:05 PM - Andreas Kohlbecker

- Description updated

#3 - 08/13/2018 01:05 PM - Andreas Kohlbecker

- Private changed from Yes to No

#4 - 08/13/2018 01:09 PM - Andreas Kohlbecker
- Has duplicate task #3249: [DISCUSS] Free text search for specimen details added

#5 - 08/13/2018 02:35 PM - Andreas Miiller

- Tags changed from search to search, caryophyllales

#6 - 06/11/2021 02:29 PM - Andreas Miiller

- Status changed from New to Feedback

Is this ticket still needed for general use?

#7 - 06/15/2021 02:13 PM - Andreas Kohlbecker
- Description updated

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

This was also required in the campanula project,

As we don't have a specimen search yet, this ticket should considered to be still relevant.
#8 - 06/16/2021 11:07 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Target version changed from Alga Terra Migration to Unassigned CDM tickets

Yes, | think it is a general requirement and not only for AT.
Therefore | move it to unassigned.

Is there a reason why you assigned the ticket to me? (dataportal front-end and freetext search is usually not my area)

#9 - 06/16/2021 11:12 AM - Andreas Kohlbecker

- Status changed from Feedback to New
Andreas Miller wrote:

Is there a reason why you assigned the ticket to me? (dataportal front-end and freetext search is usually not my area)
| only passed the answer back to you. Now | am taking over this ticket again.

#10 - 06/16/2021 05:06 PM - Andreas Miiller
- Due date set to 11/30/2012
- Start date changed from 08/21/2014 to 11/30/2012
